Package org.apache.synapse.commons.executors.config

# Class PriorityExecutorFactory

java.lang.Object
org.apache.synapse.commons.executors.config.PriorityExecutorFactory

public class PriorityExecutorFactory extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final QName`
  `BEFORE_EXECUTE_HANDLER`
  `static final QName`
  `CORE_ATT`
  `static final QName`
  `IS_FIXED_ATT`
  `static final QName`
  `KEEP_ALIVE_ATT`
  `static final QName`
  `MAX_ATT`
  `static final QName`
  `NAME_ATT`
  `static final QName`
  `NEXT_QUEUE_ATT`
  `static final QName`
  `PRIORITY_ATT`
  `static final QName`
  `SIZE_ATT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PriorityExecutorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PriorityExecutor`
  `createExecutor(String namespace, org.apache.axiom.om.OMElement e, boolean requireName, Properties properties)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME_ATT

    public static final QName NAME_ATT

  - ### SIZE_ATT

    public static final QName SIZE_ATT

  - ### PRIORITY_ATT

    public static final QName PRIORITY_ATT

  - ### IS_FIXED_ATT

    public static final QName IS_FIXED_ATT

  - ### BEFORE_EXECUTE_HANDLER

    public static final QName BEFORE_EXECUTE_HANDLER

  - ### NEXT_QUEUE_ATT

    public static final QName NEXT_QUEUE_ATT

  - ### MAX_ATT

    public static final QName MAX_ATT

  - ### CORE_ATT

    public static final QName CORE_ATT

  - ### KEEP_ALIVE_ATT

    public static final QName KEEP_ALIVE_ATT

- ## Constructor Details

  - ### PriorityExecutorFactory

    public PriorityExecutorFactory()

- ## Method Details

  - ### createExecutor

    public static PriorityExecutor createExecutor(String namespace, org.apache.axiom.om.OMElement e, boolean requireName, Properties properties) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`